.\"	$NetBSD: btpin.1,v 1.8 2009/03/10 19:34:18 joerg Exp $
.\"
.\" Copyright (c) 2006 Itronix Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of Itronix Inc. may not be used to endorse
.\"    or promote products derived from this software without specific
.\"    prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY ITRONIX INC. ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL ITRONIX INC. BE LIABLE FOR ANY
.\" DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
.\" (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
.\" ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd May 16, 2009
.Dt BTPIN 1
.Os
.Sh NAME
.Nm btpin
.Nd Bluetooth PIN utility
.Sh SYNOPSIS
.Nm
.Op Fl P
.Op Fl d Ar device
.Op Fl s Ar path
.Brq Fl p Ar pin | Fl r Op Fl l Ar len
.Fl a Ar address
.Sh DESCRIPTION
The
.Nm
utility is used to register a temporary PIN with the
.Xr bthcid 8
daemon for the purposes of pairing Bluetooth devices.
The PIN will be valid for 5 minutes or until used, whichever comes first.
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl a Ar address
Specify the remote device address.
The address can be specified as BD_ADDR or a name.
If a name was specified, the
.Nm
utility attempts to resolve the name via
.Xr bt_gethostbyname 3 .
.It Fl d Ar device
Specify the local device address.
The device can be specified by BD_ADDR or device name.
See
.Xr btconfig 8
for a list of devices available.
If no device is specified, the PIN will be valid for any local device.
.It Fl l Ar len
Specify length of PIN to generate, where 1 \*[Le]
.Ar len
\*[Le] 16.
.It Fl P
Pair with remote device.
.Nm
will attempt to open an authenticated L2CAP connection to the Service
Discovery Service on the remote device, to force immediate pairing.
.It Fl p Ar pin
The PIN to register.
The PIN may be up to 16 bytes in length.
.It Fl r
Generate a random PIN, the default length is 4 bytes.
.It Fl s Ar path
Specify path to the control socket.
The default path is
.Pa /var/run/bthcid .
.El
.Sh EXIT STATUS
.Ex -std
.Sh FILES
.Bl -item -compact
.It
.Pa /var/run/bthcid
.El
.Sh SEE ALSO
.Xr btkey 1 ,
.Xr btconfig 8 ,
.Xr bthcid 8
.Sh AUTHORS
.An Iain Hibbert
for Itronix, Inc
